part of 'body_development_bloc.dart';

@immutable
abstract class BodyDevelopmentEvent extends Equatable {
  const BodyDevelopmentEvent();
  @override
  List<Object> get props => [];
}

class BodyDevelopmentLoad extends BodyDevelopmentEvent {
  const BodyDevelopmentLoad();
}

class BodyDevelopmentChangeGroup extends BodyDevelopmentEvent {
  final DiagramGroup group;
  const BodyDevelopmentChangeGroup({required this.group});
}

class BodyDevelopmentChangeDate extends BodyDevelopmentEvent {
  final DiagramDateFilterGroup filter;
  const BodyDevelopmentChangeDate({required this.filter});
}
